Skip to main content
GET
/
2
/
wallet
/
pm
/
activity
Wallet prediction-market activity feed
curl --request GET \
  --url https://demo-api.mobula.io/api/2/wallet/pm/activity
{
  "data": [
    {
      "type": "<string>",
      "marketId": "<string>",
      "timestamp": 123,
      "transactionHash": "<string>",
      "side": "<string>",
      "outcomeId": "<string>",
      "outcomeLabel": "<string>",
      "question": "<string>",
      "groupItemTitle": "<string>",
      "priceUSD": 123,
      "sizeToken": 123,
      "amountUSD": 123
    }
  ],
  "pagination": {
    "page": 123,
    "offset": 123,
    "limit": 123,
    "pageEntries": 123,
    "totalCount": 123,
    "hasMore": true,
    "nextCursor": "<string>"
  },
  "hostname": "<string>",
  "took": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.mobula.io/llms.txt

Use this file to discover all available pages before exploring further.

Alpha — This endpoint is part of the Prediction Markets API, currently in early access. May change without notice.

Query Parameters

wallet
string
required
The wallet address to get activity for.
platforms
string
Comma-separated list of platforms to filter by.
types
string
Comma-separated list of activity types (e.g., buy,sell).
from
string | number
Start time. Accepts Unix timestamp in milliseconds (e.g., 1709913600000) or ISO 8601 string (e.g., 2024-03-01T00:00:00Z).
to
string | number
End time. Accepts Unix timestamp in milliseconds (e.g., 1709913600000) or ISO 8601 string (e.g., 2024-03-01T00:00:00Z).
limit
number
default:"50"
Number of activities to return (1 to 100).
page
number
default:"1"
Page number (1-indexed).
offset
number
default:"0"
Pagination offset (alternative to page).
order
string
default:"desc"
Sort order: asc or desc.
cursorHash
string
Transaction hash to anchor cursor pagination from.
cursorDirection
string
default:"before"
Cursor direction: before or after.

Response

data
array
Array of wallet activity records.
pagination
object
Pagination metadata.
hostname
string
Server node identifier.
took
number
Request processing time in milliseconds.

Usage Example

curl -X GET "https://api.mobula.io/api/2/wallet/pm/activity?wallet=0xYourWalletAddress&types=buy,sell&limit=20"

Example Response

{
  "data": [
    {
      "activityId": "act-001",
      "type": "buy",
      "platform": "polymarket",
      "marketId": "0x1234...",
      "outcomeId": "71321...",
      "question": "Will ETH reach $10,000 by end of 2026?",
      "label": "Yes",
      "sizeToken": 100,
      "priceUSD": 0.35,
      "amountUSD": 35,
      "txHash": "0xdef456...",
      "txDateMs": 1709913600000,
      "txDateIso": "2024-03-08T16:00:00.000Z"
    }
  ],
  "pagination": {
    "page": 1,
    "offset": 0,
    "limit": 20,
    "pageEntries": 1
  },
  "hostname": "node-xyz",
  "took": 42
}

Query Parameters

wallet
string
required
Minimum string length: 1
type
string
status
string
limit
number
default:50
Required range: 1 <= x <= 100
page
number
default:1
Required range: x >= 1
offset
number | null
default:0
Required range: x >= 0
order
enum<string>
default:desc
Available options:
asc,
desc
cursorHash
string
cursorDirection
enum<string>
default:before
Available options:
before,
after

Response

200 - application/json

Prediction Markets response

data
object[]
required
pagination
object
required
hostname
string
required
took
number
required